#!/usr/bin/env python

from distutils.core import setup
import ConfigParser

pkg_version = '0.0.0'
try:
    parser = ConfigParser.ConfigParser()
    parser.read('setup.cfg')
    pkg_version = parser.get('global','pkgversion')
except:
    pass

doc_list = ["doc/RELEASE"]

setup(
      name='lrms-python-generic',
      version=pkg_version,
      description='Python library for lrms management',
      long_description='''Generic python module defining the classes for a Job (computing 
task) and Server (state of an LRMS including which jobs are running in 
which queues).  Generic in this context means that there is no code 
here that is specific to any particular LRMS flavor.  LRMS-specific 
classes will derive from this class and override functions as needed.''',
      license='Apache Software License',
      author='CREAM group, Jeff Templon',
      author_email='CREAM group <cream-support@lists.infn.it>',
      py_modules=['lrms'],
      package_dir = {'': 'src'},
      data_files=[
                  ('usr/share/doc/lrms-python-generic-' + pkg_version, doc_list),
                 ]
     )


